import request from '@/utils/request'

// 查询车辆保险信息列表
export function listInsurance(query) {
  return request({
    url: '/md/insurance/list',
    method: 'get',
    params: query
  })
}

// 查询车辆保险信息详细
export function getInsurance(id) {
  return request({
    url: '/md/insurance/' + id,
    method: 'get'
  })
}

// 新增车辆保险信息
export function addInsurance(data) {
  return request({
    url: '/md/insurance',
    method: 'post',
    data: data
  })
}

// 修改车辆保险信息
export function updateInsurance(data) {
  return request({
    url: '/md/insurance',
    method: 'put',
    data: data
  })
}

// 删除车辆保险信息
export function delInsurance(id) {
  return request({
    url: '/md/insurance/' + id,
    method: 'delete'
  })
}
